Proxy HTTP GET request
- GET /deployments/{deployment_id}/{resource_kind}/{ref_id}/proxy/{proxy_path}
Proxies the HTTP GET request to the deployment resource. You must specify the X-Management-Request HTTP header. NOTE: Use this endpoint for management purposes. It does not provide high performance.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
-
resource_kindrequired -
The kind of resource
-
Values:
elasticsearchkibanaenterprise_searchintegrations_server -
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one)
-
proxy_pathstringrequired -
The URL part to proxy to the deployment resource. Example: _cat/indices, /api/spaces/space or /api/ent/v1/internal/health
Request
The JSON payload to proxy to the deployment resource.
Type: string
Responses
The request has been processed successfully through the proxy.
-
valuestringrequired
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found) - The Resource specified by {ref_id} cannot be found. (code:
clusters.cluster_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response